Bug 1035593 - CVE-2013-6403 owncloud: possible security bypass on admin page (5.0.13) [fedora-all]
Summary: CVE-2013-6403 owncloud: possible security bypass on admin page (5.0.13) [fedo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: owncloud
Version: 19
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Adam Williamson (Fedora)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=falonsoe
Depends On:
Blocks: CVE-2013-6403
TreeView+ depends on / blocked
 
Reported: 2013-11-28 07:27 UTC by Murray McAllister
Modified: 2015-01-04 22:37 UTC (History)
5 users (show)

Fixed In Version: php-sabredav-Sabre_VObject-2.1.4-1.fc19
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-22 12:36:01 UTC


Attachments (Terms of Use)

Description Murray McAllister 2013-11-28 07:27:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2013-11-28 07:27:28 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1035591,1035593

Comment 2 Adam Williamson 2013-12-21 22:51:10 UTC
It seems impossible to find any details about this issue and the git commit log between 5.0.12 and 5.0.13 is pretty big to just pick through blindly trying to guess what they're talking about :( I would've expected upstream would release a 4.5.x if this affected 4.5, though, and they didn't; Fedora branches that are on OC 5 (F20, F21) already have 5.0.13 in stable.

Comment 3 Fedora Admin XMLRPC Client 2014-08-08 17:02:52 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2014-08-08 19:28:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Adam Williamson 2014-08-21 21:18:39 UTC
I looked into this again briefly and came to the same conclusion as I did in December - I just can't find out what the issue actually was and if 4.5.x is affected. Any help would be welcome. I'll ask upstream if I remember.

Comment 6 Murray McAllister 2014-08-24 14:23:39 UTC
Thanks for looking at this (and all of the others). This is something the Fedora Security Team may be able to help with. needinfo'ing Francisco.

Comment 7 Francisco Alonso 2014-08-25 11:52:14 UTC
I cannot help you so much, I looked into the git commits and without some details I'm not so sure about the bypass test case for this vulnerability. If you can ask upstream will be great if we don't have answer I will expend more time with the git commits between both versions to know exactly where this happen.

Comment 8 Fedora Update System 2014-10-29 05:57:22 UTC
php-sabredav-Sabre_VObject-2.1.4-1.fc19,php-sabredav-Sabre_HTTP-1.7.11-1.fc19,php-sabredav-Sabre_CalDAV-1.7.9-1.fc19,php-sabredav-Sabre_DAVACL-1.7.9-1.fc19,php-sabredav-Sabre_CardDAV-1.7.9-2.fc19,php-sabredav-Sabre_DAV-1.7.13-1.fc19,owncloud-5.0.17-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-sabredav-Sabre_VObject-2.1.4-1.fc19,php-sabredav-Sabre_HTTP-1.7.11-1.fc19,php-sabredav-Sabre_CalDAV-1.7.9-1.fc19,php-sabredav-Sabre_DAVACL-1.7.9-1.fc19,php-sabredav-Sabre_CardDAV-1.7.9-2.fc19,php-sabredav-Sabre_DAV-1.7.13-1.fc19,owncloud-5.0.17-1.fc19

Comment 9 Fedora Update System 2014-11-01 01:45:29 UTC
Package php-sabredav-Sabre_VObject-2.1.4-1.fc19, php-sabredav-Sabre_HTTP-1.7.11-1.fc19, php-sabredav-Sabre_CalDAV-1.7.9-1.fc19, php-sabredav-Sabre_DAVACL-1.7.9-1.fc19, php-sabredav-Sabre_CardDAV-1.7.9-2.fc19, php-sabredav-Sabre_DAV-1.7.13-1.fc19, owncloud-5.0.17-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-sabredav-Sabre_VObject-2.1.4-1.fc19 php-sabredav-Sabre_HTTP-1.7.11-1.fc19 php-sabredav-Sabre_CalDAV-1.7.9-1.fc19 php-sabredav-Sabre_DAVACL-1.7.9-1.fc19 php-sabredav-Sabre_CardDAV-1.7.9-2.fc19 php-sabredav-Sabre_DAV-1.7.13-1.fc19 owncloud-5.0.17-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14066/php-sabredav-Sabre_VObject-2.1.4-1.fc19,php-sabredav-Sabre_HTTP-1.7.11-1.fc19,php-sabredav-Sabre_CalDAV-1.7.9-1.fc19,php-sabredav-Sabre_DAVACL-1.7.9-1.fc19,php-sabredav-Sabre_CardDAV-1.7.9-2.fc19,php-sabredav-Sabre_DAV-1.7.13-1.fc19,owncloud-5.0.17-2.fc19
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-11-22 12:36:01 UTC
php-sabredav-Sabre_VObject-2.1.4-1.fc19, php-sabredav-Sabre_HTTP-1.7.11-1.fc19, php-sabredav-Sabre_CalDAV-1.7.9-1.fc19, php-sabredav-Sabre_DAVACL-1.7.9-1.fc19, php-sabredav-Sabre_CardDAV-1.7.9-2.fc19, php-sabredav-Sabre_DAV-1.7.13-1.fc19, owncloud-5.0.17-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.